﻿using FarPoint.Win.Spread;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace CmbCellEdit
{
    public partial class SpUserControl : UserControl
    {
        public SpUserControl()
        {
            InitializeComponent();
        }

        private void SpUserControl_Load(object sender, EventArgs e)
        {
            fpSpread1.Sheets.Clear();
            fpSpread1.Sheets.Add(new SheetView("MySheet") { Protect = false });

            FarPoint.Win.Spread.CellType.ComboBoxCellType cmbocell = new FarPoint.Win.Spread.CellType.ComboBoxCellType();
            cmbocell.Items = (new String[] { "January", "February", "March", "April", "May", "June", "July" });
            cmbocell.Editable = true;
            cmbocell.DropDownWhenStartEditing = true;
            fpSpread1.ActiveSheet.Cells[2, 2].CellType = cmbocell;
            fpSpread1.Sheets[0].SetActiveCell(2, 2);
        }
    }
}
